import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
import React from 'react';
import PropTypes from 'prop-types';
import cx from 'classnames';
var BASE_CLASS = 'sui-AtomCheckbox';

var AtomCheckbox = function AtomCheckbox(_ref) {
  var id = _ref.id,
      name = _ref.name,
      disabled = _ref.disabled,
      _ref$checked = _ref.checked,
      checked = _ref$checked === void 0 ? false : _ref$checked,
      _ref$intermediate = _ref.intermediate,
      intermediate = _ref$intermediate === void 0 ? false : _ref$intermediate,
      CheckedIcon = _ref.checkedIcon,
      IntermediateIcon = _ref.intermediateIcon,
      _ref$onChange = _ref.onChange,
      onChangeFromProps = _ref$onChange === void 0 ? function () {} : _ref$onChange,
      props = _objectWithoutPropertiesLoose(_ref, ["id", "name", "disabled", "checked", "intermediate", "checkedIcon", "intermediateIcon", "onChange"]);

  var handleChange = function handleChange(ev) {
    var _ev$target = ev.target,
        checked = _ev$target.checked,
        name = _ev$target.name;
    if (!disabled) onChangeFromProps(ev, {
      name: name,
      value: checked
    });
  };

  var className = cx(BASE_CLASS, {
    'is-checked': checked,
    'is-disabled': disabled
  });
  return React.createElement("label", {
    className: className
  }, checked && React.createElement(CheckedIcon, null), intermediate && !checked && React.createElement(IntermediateIcon, null), React.createElement("input", Object.assign({
    type: "checkbox",
    id: id,
    name: name || id,
    disabled: disabled,
    checked: checked,
    intermediate: intermediate ? 'intermediate' : '',
    onChange: handleChange
  }, props)));
};

AtomCheckbox.displayName = 'AtomCheckbox';
export default AtomCheckbox;